

function onBegin()

    disableMovement()
    disablePause ()

    setDarkness(0.2)
    setBloomStrength(0.3)

    player.DummyAutoAnimate = true

    player.Facing = getEnum("Celeste.Facings", "Right")
    
    walkTo (1184, walkBackwards==false, speedMultiplier==1, keepWalkingIntoWalls==false)
    --0.3s
    wait(0.6)

    player.DummyAutoAnimate = false
    player.Sprite:Play("lookUp")
    --0.6s

    wait(3)

    player.DummyAutoAnimate = true

    teleportTo(1720, 3792, "end_03")

    enablePause ()
    enableMovement()
    endCutscene ()

end